  /**********************************************************************
 Freeciv - Copyright (C) 1996 - A Kjeldberg, L Gregersen, P Unold
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/

#define SOUND_UNITS 60
#define SOUND_EVENTS 40
#define SOUND

enum sound_magics_event
{
  SOUND_LOW_ON_FOUNDS = 0,
  SOUND_POLLUTION,
  SOUND_WARMING,
  SOUND_CITY_DISORDER,
  SOUND_CITY_CELEBRATE,
  SOUND_CITY_RETURNS_TO_NORMAL,
  SOUND_CITY_GROWTH,
  SOUND_CITY_NEEDS_AQUEDUCT,
  SOUND_CITY_BUILDING_AQUEDUCT,
  SOUND_CITY_FAMINE,
  SOUND_CITY_LOST,
  SOUND_CITY_CANT_BUILD,
  SOUND_WONDER_STARTED,
  SOUND_WONDER_STOPPED,
  SOUND_WONDER_BUILT,
  SOUND_IMPROVEMENT_BUILT,
  SOUND_IMPROVEMENT_AUTO_PICKED,
  SOUND_IMPROVEMENT_AUCTIONED,
  SOUND_IMPROVEMENT_BOUGHT,
  SOUND_IMPROVEMENT_SOLD,
  SOUND_UNIT_UPGRADED,
  SOUND_UNIT_BUILT,
  SOUND_UNIT_BOUGHT,
  SOUND_UNIT_LOST,
  SOUND_UNIT_WIN,
  SOUND_UNIT_LOST_ATTACK,
  SOUND_UNIT_WON_ATTACK,
  SOUND_ANARCHY,
  SOUND_DIPLOMATED,
  SOUND_TECH_GAIN,
  SOUND_DESTROYED,
  SOUND_MY_DIPLOMAT_ACTION,
  SOUND_CITY_GRAINNERY_THROTTLE,
  SOUND_SPACESHIP,
  SOUND_BARBARIAN_UPRISING,
  SOUND_WORKLIST,
  SOUND_NEW_YEAR,
  SOUND_UNIT_CANT_MOVE,
  SOUND_SLOT_FREE_1,
  SOUND_SLOT_FREE_2
};

enum sound_magics_unit
{
  SOUND_UNIT_ACTIVATE = 0,
  SOUND_UNIT_MOVE,
  SOUND_UNIT_ATTACK,
  SOUND_UNIT_SPECIAL,
  SOUND_UNIT_DESTROYED
};


struct unit_sounds_s
{
  char name[20];
  char file[5][120];
};

struct event_sounds_s
{
  char file[120];
};

struct unit_sounds_s unit_sounds[SOUND_UNITS];


struct event_sounds_s event_sounds[SOUND_EVENTS];

void play_sound_unit (struct unit *, enum sound_magics_unit);
void play_sound_event (enum sound_magics_event);
void parse_sound_config (const char *);
void set_sound_config_file(const char *);
